classification
Title: Deprecation warning in tests over no current event loop
Type: behavior Stage: resolved
Components: asyncio, Tests Versions: Python 3.11
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: asvetlov, corona10, serhiy.storchaka, vstinner, xtreak, yselivanov
Priority: normal Keywords: patch

Created on 2021-05-03 08:17 by xtreak, last changed 2021-05-06 14:12 by corona10. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 25918 merged corona10, 2021-05-05 16:20
Messages (1)
msg392780 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2021-05-03 08:17
Related to warnings from issue39529

./python -Wall -m test test_contextlib_async test_unittest
0:00:00 load avg: 0.91 Run tests sequentially
0:00:00 load avg: 0.91 [1/2] test_contextlib_async
Task was destroyed but it is pending!
task: <Task pending name='Task-12' coro=<<async_generator_athrow without __name__>()>>
Task was destroyed but it is pending!
task: <Task pending name='Task-14' coro=<<async_generator_athrow without __name__>()>>
Task was destroyed but it is pending!
task: <Task pending name='Task-20' coro=<<async_generator_athrow without __name__>()>>
/root/cpython/Lib/test/test_contextlib_async.py:372: DeprecationWarning: There is no current event loop
  loop = asyncio.get_event_loop()
/root/cpython/Lib/test/test_contextlib_async.py:374: DeprecationWarning: There is no current event loop
  f = asyncio.ensure_future(coro)
/root/cpython/Lib/test/test_contextlib_async.py:372: DeprecationWarning: There is no current event loop
  loop = asyncio.get_event_loop()
/root/cpython/Lib/test/test_contextlib_async.py:374: DeprecationWarning: There is no current event loop
  f = asyncio.ensure_future(coro)
/root/cpython/Lib/test/test_contextlib_async.py:372: DeprecationWarning: There is no current event loop
  loop = asyncio.get_event_loop()
/root/cpython/Lib/test/test_contextlib_async.py:374: DeprecationWarning: There is no current event loop
  f = asyncio.ensure_future(coro)
/root/cpython/Lib/test/test_contextlib_async.py:372: DeprecationWarning: There is no current event loop
  loop = asyncio.get_event_loop()
/root/cpython/Lib/test/test_contextlib_async.py:374: DeprecationWarning: There is no current event loop
  f = asyncio.ensure_future(coro)
/root/cpython/Lib/test/test_contextlib_async.py:372: DeprecationWarning: There is no current event loop
  loop = asyncio.get_event_loop()
/root/cpython/Lib/test/test_contextlib_async.py:374: DeprecationWarning: There is no current event loop
  f = asyncio.ensure_future(coro)
/root/cpython/Lib/test/test_contextlib_async.py:372: DeprecationWarning: There is no current event loop
  loop = asyncio.get_event_loop()
/root/cpython/Lib/test/test_contextlib_async.py:374: DeprecationWarning: There is no current event loop
  f = asyncio.ensure_future(coro)
/root/cpython/Lib/test/test_contextlib_async.py:372: DeprecationWarning: There is no current event loop
  loop = asyncio.get_event_loop()
/root/cpython/Lib/test/test_contextlib_async.py:374: DeprecationWarning: There is no current event loop
  f = asyncio.ensure_future(coro)
/root/cpython/Lib/test/test_contextlib_async.py:372: DeprecationWarning: There is no current event loop
  loop = asyncio.get_event_loop()
/root/cpython/Lib/test/test_contextlib_async.py:374: DeprecationWarning: There is no current event loop
  f = asyncio.ensure_future(coro)
/root/cpython/Lib/test/test_contextlib_async.py:372: DeprecationWarning: There is no current event loop
  loop = asyncio.get_event_loop()
/root/cpython/Lib/test/test_contextlib_async.py:374: DeprecationWarning: There is no current event loop
  f = asyncio.ensure_future(coro)
/root/cpython/Lib/test/test_contextlib_async.py:372: DeprecationWarning: There is no current event loop
  loop = asyncio.get_event_loop()
/root/cpython/Lib/test/test_contextlib_async.py:374: DeprecationWarning: There is no current event loop
  f = asyncio.ensure_future(coro)
/root/cpython/Lib/test/test_contextlib_async.py:372: DeprecationWarning: There is no current event loop
  loop = asyncio.get_event_loop()
/root/cpython/Lib/test/test_contextlib_async.py:374: DeprecationWarning: There is no current event loop
  f = asyncio.ensure_future(coro)
/root/cpython/Lib/test/test_contextlib_async.py:372: DeprecationWarning: There is no current event loop
  loop = asyncio.get_event_loop()
/root/cpython/Lib/test/test_contextlib_async.py:374: DeprecationWarning: There is no current event loop
  f = asyncio.ensure_future(coro)
/root/cpython/Lib/test/test_contextlib_async.py:372: DeprecationWarning: There is no current event loop
  loop = asyncio.get_event_loop()
/root/cpython/Lib/test/test_contextlib_async.py:374: DeprecationWarning: There is no current event loop
  f = asyncio.ensure_future(coro)
/root/cpython/Lib/test/test_contextlib_async.py:372: DeprecationWarning: There is no current event loop
  loop = asyncio.get_event_loop()
/root/cpython/Lib/test/test_contextlib_async.py:374: DeprecationWarning: There is no current event loop
  f = asyncio.ensure_future(coro)
/root/cpython/Lib/test/test_contextlib_async.py:372: DeprecationWarning: There is no current event loop
  loop = asyncio.get_event_loop()
/root/cpython/Lib/test/test_contextlib_async.py:374: DeprecationWarning: There is no current event loop
  f = asyncio.ensure_future(coro)
/root/cpython/Lib/test/test_contextlib_async.py:372: DeprecationWarning: There is no current event loop
  loop = asyncio.get_event_loop()
/root/cpython/Lib/test/test_contextlib_async.py:374: DeprecationWarning: There is no current event loop
  f = asyncio.ensure_future(coro)
/root/cpython/Lib/test/test_contextlib_async.py:372: DeprecationWarning: There is no current event loop
  loop = asyncio.get_event_loop()
/root/cpython/Lib/test/test_contextlib_async.py:374: DeprecationWarning: There is no current event loop
  f = asyncio.ensure_future(coro)
/root/cpython/Lib/test/test_contextlib_async.py:372: DeprecationWarning: There is no current event loop
  loop = asyncio.get_event_loop()
/root/cpython/Lib/test/test_contextlib_async.py:374: DeprecationWarning: There is no current event loop
  f = asyncio.ensure_future(coro)
/root/cpython/Lib/test/test_contextlib_async.py:372: DeprecationWarning: There is no current event loop
  loop = asyncio.get_event_loop()
/root/cpython/Lib/test/test_contextlib_async.py:374: DeprecationWarning: There is no current event loop
  f = asyncio.ensure_future(coro)
/root/cpython/Lib/test/test_contextlib_async.py:372: DeprecationWarning: There is no current event loop
  loop = asyncio.get_event_loop()
/root/cpython/Lib/test/test_contextlib_async.py:374: DeprecationWarning: There is no current event loop
  f = asyncio.ensure_future(coro)
/root/cpython/Lib/test/test_contextlib_async.py:372: DeprecationWarning: There is no current event loop
  loop = asyncio.get_event_loop()
/root/cpython/Lib/test/test_contextlib_async.py:374: DeprecationWarning: There is no current event loop
  f = asyncio.ensure_future(coro)
/root/cpython/Lib/test/test_contextlib_async.py:372: DeprecationWarning: There is no current event loop
  loop = asyncio.get_event_loop()
/root/cpython/Lib/test/test_contextlib_async.py:374: DeprecationWarning: There is no current event loop
  f = asyncio.ensure_future(coro)
/root/cpython/Lib/test/test_contextlib_async.py:372: DeprecationWarning: There is no current event loop
  loop = asyncio.get_event_loop()
/root/cpython/Lib/test/test_contextlib_async.py:374: DeprecationWarning: There is no current event loop
  f = asyncio.ensure_future(coro)
/root/cpython/Lib/test/test_contextlib_async.py:372: DeprecationWarning: There is no current event loop
  loop = asyncio.get_event_loop()
/root/cpython/Lib/test/test_contextlib_async.py:374: DeprecationWarning: There is no current event loop
  f = asyncio.ensure_future(coro)
/root/cpython/Lib/test/test_contextlib_async.py:372: DeprecationWarning: There is no current event loop
  loop = asyncio.get_event_loop()
/root/cpython/Lib/test/test_contextlib_async.py:374: DeprecationWarning: There is no current event loop
  f = asyncio.ensure_future(coro)
/root/cpython/Lib/test/test_contextlib_async.py:372: DeprecationWarning: There is no current event loop
  loop = asyncio.get_event_loop()
/root/cpython/Lib/test/test_contextlib_async.py:374: DeprecationWarning: There is no current event loop
  f = asyncio.ensure_future(coro)
/root/cpython/Lib/test/test_contextlib_async.py:372: DeprecationWarning: There is no current event loop
  loop = asyncio.get_event_loop()
/root/cpython/Lib/test/test_contextlib_async.py:374: DeprecationWarning: There is no current event loop
  f = asyncio.ensure_future(coro)
/root/cpython/Lib/test/test_contextlib_async.py:372: DeprecationWarning: There is no current event loop
  loop = asyncio.get_event_loop()
/root/cpython/Lib/test/test_contextlib_async.py:374: DeprecationWarning: There is no current event loop
  f = asyncio.ensure_future(coro)
/root/cpython/Lib/test/test_contextlib_async.py:372: DeprecationWarning: There is no current event loop
  loop = asyncio.get_event_loop()
/root/cpython/Lib/test/test_contextlib_async.py:374: DeprecationWarning: There is no current event loop
  f = asyncio.ensure_future(coro)
/root/cpython/Lib/test/test_contextlib_async.py:372: DeprecationWarning: There is no current event loop
  loop = asyncio.get_event_loop()
/root/cpython/Lib/test/test_contextlib_async.py:374: DeprecationWarning: There is no current event loop
  f = asyncio.ensure_future(coro)
/root/cpython/Lib/test/test_contextlib_async.py:372: DeprecationWarning: There is no current event loop
  loop = asyncio.get_event_loop()
/root/cpython/Lib/test/test_contextlib_async.py:374: DeprecationWarning: There is no current event loop
  f = asyncio.ensure_future(coro)
/root/cpython/Lib/test/test_contextlib_async.py:372: DeprecationWarning: There is no current event loop
  loop = asyncio.get_event_loop()
/root/cpython/Lib/test/test_contextlib_async.py:374: DeprecationWarning: There is no current event loop
  f = asyncio.ensure_future(coro)
/root/cpython/Lib/test/test_contextlib_async.py:372: DeprecationWarning: There is no current event loop
  loop = asyncio.get_event_loop()
/root/cpython/Lib/test/test_contextlib_async.py:374: DeprecationWarning: There is no current event loop
  f = asyncio.ensure_future(coro)
/root/cpython/Lib/test/test_contextlib_async.py:372: DeprecationWarning: There is no current event loop
  loop = asyncio.get_event_loop()
/root/cpython/Lib/test/test_contextlib_async.py:374: DeprecationWarning: There is no current event loop
  f = asyncio.ensure_future(coro)
/root/cpython/Lib/test/test_contextlib_async.py:372: DeprecationWarning: There is no current event loop
  loop = asyncio.get_event_loop()
/root/cpython/Lib/test/test_contextlib_async.py:374: DeprecationWarning: There is no current event loop
  f = asyncio.ensure_future(coro)
/root/cpython/Lib/test/test_contextlib_async.py:372: DeprecationWarning: There is no current event loop
  loop = asyncio.get_event_loop()
/root/cpython/Lib/test/test_contextlib_async.py:374: DeprecationWarning: There is no current event loop
  f = asyncio.ensure_future(coro)
/root/cpython/Lib/test/test_contextlib_async.py:372: DeprecationWarning: There is no current event loop
  loop = asyncio.get_event_loop()
/root/cpython/Lib/test/test_contextlib_async.py:374: DeprecationWarning: There is no current event loop
  f = asyncio.ensure_future(coro)
/root/cpython/Lib/test/test_contextlib_async.py:372: DeprecationWarning: There is no current event loop
  loop = asyncio.get_event_loop()
/root/cpython/Lib/test/test_contextlib_async.py:374: DeprecationWarning: There is no current event loop
  f = asyncio.ensure_future(coro)
0:00:00 load avg: 0.91 [2/2] test_unittest
/root/cpython/Lib/unittest/test/testmock/testasync.py:177: DeprecationWarning: There is no current event loop
  fut = asyncio.Future()

== Tests result: SUCCESS ==

All 2 tests OK.

Total duration: 6.5 sec
Tests result: SUCCESS
History
Date User Action Args
2021-05-06 14:12:04corona10setstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2021-05-06 14:11:49corona10setversions: - Python 3.10
2021-05-05 16:32:03corona10setversions: + Python 3.11
2021-05-05 16:20:59corona10setkeywords: + patch
nosy: + corona10

pull_requests: + pull_request24587
stage: patch review
2021-05-03 08:17:27xtreakcreate